Bug 1476985 - [Docs][RFE][ironic] Document creating and managing security-hardened custom whole disk overcloud images
[Docs][RFE][ironic] Document creating and managing security-hardened custom w...
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
medium Severity medium
: ga
: 12.0 (Pike)
Assigned To: Deepti Navale
Dan Macpherson
docs-accepted
: Documentation, FutureFeature, Triaged
: 1467676 (view as bug list)
Depends On: 1381508
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 22:37 EDT by Charelle Collett
Modified: 2017-11-16 22:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charelle Collett 2017-07-31 22:37:54 EDT
Custom whole disk images can be uploaded as a qcow2 without additional ramdisk or kernel images.

Document how to create these custom images, and uploading them to use in the overcloud.  Also document why you would want to do this (security reasons, the stock images are flat partition images)


http://teknoarticles.blogspot.com.au/2016/12/start-using-whole-disk-images-with.html

https://blueprints.launchpad.net/tripleo/+spec/build-whole-disk-images
Comment 1 Lucy Bopf 2017-10-05 01:44:06 EDT
Assigning to Deepti for review.
Comment 3 Deepti Navale 2017-10-16 21:56:33 EDT
Emailed Yolanda requesting tech review.
Comment 5 Deepti Navale 2017-11-02 02:01:09 EDT
There is another bug: https://bugzilla.redhat.com/show_bug.cgi?id=1467676 targeting the security hardened whole disk image updates. Need a confirmation on whether these can be combined into one bug.
Comment 6 Deepti Navale 2017-11-05 22:39:02 EST
*** Bug 1467676 has been marked as a duplicate of this bug. ***
Comment 7 Deepti Navale 2017-11-16 22:26:37 EST
Changing QA contact to Dan since this is update to the existing Director guide.

Note You need to log in before you can comment on or make changes to this bug.